Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.timers
Class GaussianRandomTimer

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.timers.ConstantTimer
              org.apache.jmeter.timers.RandomTimer
                  org.apache.jmeter.timers.GaussianRandomTimer

All Implemented Interfaces:
  Cloneable, LoopIterationListener, Serializable, TestElement, Timer

public class GaussianRandomTimer
extends RandomTimer
implements Serializable

This class implements those methods needed by RandomTimer to be instantiable and implements a random delay with an average value and a gaussian distributed variation.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.timers.RandomTimer
`random, RANGE`

Fields inherited from class org.apache.jmeter.timers.ConstantTimer
`DELAY`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`GaussianRandomTimer()`

Method Summary
`long` | `delay()` This method is called after a sampling process is done to know how much time the sampling thread has to wait until sampling again.
`String` | `toString()` Provide a description of this timer class.

Methods inherited from class org.apache.jmeter.timers.RandomTimer
`getRange, setRange, setRange`

Methods inherited from class org.apache.jmeter.timers.ConstantTimer
`getDelay, iterationStart, setDelay`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GaussianRandomTimer

    public GaussianRandomTimer()

Method Detail

### delay

    public long delay()

  Description copied from interface: `Timer`
  This method is called after a sampling process is done to know how much time the sampling thread has to wait until sampling again.

  Specified by:
    `delay` in interface `Timer`
  Overrides:
    `delay` in class `ConstantTimer`
  Returns:
    the delay.

### toString

    public String toString()

  Description copied from class: `ConstantTimer`
  Provide a description of this timer class.

  Overrides:
    `toString` in class `ConstantTimer`
  Returns:
    the description of this timer class.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.